package sdk

import (
	"encoding/json"
)

//订单

// 创建订单 //
func (c *Client) CreateOrder(req map[string]interface{}) (res *CreateOrderRes, err error) {
	method := "/local/order"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//获取运费
func (c *Client) GetFreight(req map[string]interface{}) (res *GetFreightRes, err error) {
	method := "/local/order/freight"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

// 获取订单详情 //
func (c *Client) GetInfo(req map[string]interface{}) (res *OrderInfoRes, err error) {
	method := "/local/order/info"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//取消订单
func (c *Client) CancelOrder(req map[string]interface{}) (res *CancelOrder, err error) {
	method := "/local/order/cancel"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

// 获取物流信息 //
func (c *Client) GetDeliver(req map[string]interface{}) (res *GetDeliverRes, err error) {
	method := "/local/order/deliver"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//批量发货
func (c *Client) BatchSend(req map[string]interface{}) (res *OrderSendsRes, err error) {
	method := "/local/order/sends"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

// 获取订单状态数量信息 //
func (c *Client) GetStatusCountInfo(req map[string]interface{}) (res *GetStatusCountInfoRes, err error) {
	method := "/local/order/statusCount"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

// 获取店铺订单聚合数据检索 //
func (c *Client) GetOrderSellerDataList(req map[string]interface{}) (res *GetOrderSellerDataListRes, err error) {
	method := "/local/order/orderSellerList"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

// 导出订单excel数据 //
func (c *Client) DownLoadGoodsData(req map[string]interface{}) (res *DownLoadGoodsDataRes, err error) {
	method := "/local/order/goodsDataExport"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

// 导出待发货的订单 //
func (c *Client) UnSendOrderGoodsDataExport(req map[string]interface{}) (res *DownLoadGoodsDataRes, err error) {
	method := "/local/order/unSendOrderGoodsExport"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

// sys 订单管理列表 //
func (c *Client) GetSysOrderList(req map[string]interface{}) (res *GetSysOrderListRes, err error) {
	method := "/local/order/sysOrderList"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

// 获取超时非法或订单数量 //
func (c *Client) GetTimeOutOrderCount(req map[string]interface{}) (res *GetTimeOutOrderCountRes, err error) {
	method := "/local/order/getTimeOutOrderCount"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//批量补发
func (c *Client) AgainSends(req map[string]interface{}) (res *OrderSendsRes, err error) {
	method := "/local/order/againSends"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//设置备注
func (c *Client) OrderRemark(req map[string]interface{}) (res *commonRes, err error) {
	method := "/local/order/remark"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//修改订单地址
func (c *Client) UpdateOrderAddress(req map[string]interface{}) (res *commonRes, err error) {
	method := "/local/order/address/edit"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

// 获取物流公司列表 //
func (c *Client) GetDeliverList(req map[string]interface{}) (res *GetDeliverListRes, err error) {
	method := "/local/deliver/getDeliverList"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}
