package sdk

type CreateOrderRes struct {
	commonRes
	Data OrderDetail `json:"data"`
}
type OrderDetail struct {
	ParentOrderSn string `json:"parent_order_sn"`
	Item          []struct {
		OrderSn         string `json:"order_sn"`
		OrderTotalPrice int    `json:"order_total_price"`
		DispatchPrice   int    `json:"dispatch_price"`
		ChannelId       int    `json:"channel_id"`
		GoodsItem       []struct {
			GoodsOrderSn  string `json:"goods_order_sn"`
			GoodsId       int    `json:"goods_id"`
			GoodsOptionId int    `json:"goods_option_id"`
			Total         int    `json:"total"`
			GoodsPrice    int    `json:"goods_price"`
		} `json:"goods_item"`
	} `json:"item"`
}
type GetFreightRes struct {
	commonRes
	Data Freight `json:"data"`
}
type Freight struct {
	DisPatchs []struct {
		SkuId   int `json:"sku_id"`
		GoodsId int `json:"goods_id"`
	} `json:"dis_patchs"`
	FreightArr []struct {
		Item []struct {
			SkuId   int `json:"sku_id"`
			GoodsId int `json:"goods_id"`
		} `json:"item"`
		Freight int `json:"freight"`
	} `json:"freight_arr"`
}
type CancelOrder struct {
	commonRes
	Data struct{} `json:"data"`
}
type GetDeliverRes struct {
	commonRes
	Data Deliver `json:"data"`
}
type Deliver struct {
	OrderTrack []struct {
		Content string `json:"content"`
		MsgTime string `json:"msg_time"`
	} `json:"order_track"`
	ExpressSn          string `json:"express_sn"`
	ExpressCompanyName string `json:"express_company_name"`
}
type OrderInfoRes struct {
	commonRes
	Data struct {
		Order *OrderInfos `json:"order"`
	} `json:"data"`
}
type OrderInfos struct {
	Order            *OrderInfo         `json:"order"`              //店铺订单信息
	SellerInfo       *OrderSellerInfo   `json:"seller_info"`        //店铺联系人信息
	OrderGoodsDetail []OrderGoodsDetail `json:"order_goods_detail"` //商品订单详情
}
type OrderInfo struct {
	*StOrder
	RemarkList []OrderRemarkInfo `json:"remark_list"` //订单备注列表
}
type StOrder struct {
	Id               int    `json:"id"`
	SellerId         int    `json:"seller_id"`
	ParentOrderSn    string `json:"parent_order_sn"`
	OrderSn          string `json:"order_sn"`
	ThirdOrderSn     string `json:"third_order_sn"`
	Status           int    `json:"status"`
	CreatedTime      int    `json:"created_time"`
	CancelTime       int    `json:"cancel_time"`
	FinishTime       int    `json:"finish_time"`
	SendTime         int    `json:"send_time"`
	DispatchPrice    int    `json:"dispatch_price"`
	OrderTotalPrice  int    `json:"order_total_price"`
	RefundPrice      int    `json:"refund_price"`
	ShopName         string `json:"shop_name"`
	Remark           string `json:"remark"`
	RealName         string `json:"real_name"`
	Mobile           string `json:"mobile"`
	Provice          string `json:"provice"`
	City             string `json:"city"`
	District         string `json:"district"`
	Street           string `json:"street"`
	Address          string `json:"address"`
	IsUpdateAddress  int    `json:"is_update_address"`
	SettlementStatus int    `json:"settlement_status"`
	WithdrawStatus   int    `json:"withdraw_status"`
	SellerRemark     string `json:"seller_remark"`
	ChannelId        int    `json:"channel_id"`
	ServiceFee       int    `json:"service_fee"`
	IsAllRefund      int    `json:"is_all_refund"`
	SiteId           int    `json:"site_id"`
	FloatAmount      int    `json:"float_amount"`
}
type OrderRemarkInfo struct {
	DateTime int    `json:"date_time"` //备注时间
	Operator string `json:"operator"`  //操作人
	Content  string `json:"content"`   //备注内容
}
type OrderSellerInfo struct {
	SellerId        int    `json:"seller_id"`        // 商家帐号的主键
	StoreName       string `json:"store_name"`       // 店名
	ShopLogo        string `json:"shop_logo"`        // 店铺logo
	Name            string `json:"name"`             // 商户姓名／企业商户联系人姓名
	Address         string `json:"address"`          // 通讯地址
	Email           string `json:"email"`            // 常用邮箱／企业联系人邮箱
	Telphone        string `json:"telphone"`         // 联系电话／企业联系人电话
	Mobile          string `json:"mobile"`           // 联系手机／企业联系人手机
	Remark          string `json:"remark"`           // 备注
	About           string `json:"about"`            // 介绍，经营范围，主营商品
	EmergencyName   string `json:"emergency_name"`   // 紧急联系人
	EmergencyTel    string `json:"emergency_tel"`    // 紧急联系人电话
	EmergencyMobile string `json:"emergency_mobile"` // 紧急联系人手机
	CompanyName     string `json:"company_name"`     // 企业名称
	Weburl          string `json:"weburl"`           // 公司网址
	Summary         string `json:"summary"`          // 公司描述
	Tag             int    `json:"tag"`              // 商户标签 0未知 1厂家 2代理商 3个人

}
type OrderGoodsDetail struct {
	Id                 int    `json:"id"`
	GoodsOrderSn       string `json:"goods_order_sn"`
	SellerId           int    `json:"seller_id"`
	OrderId            int    `json:"order_id"`
	GoodsId            int    `json:"goods_id"`
	Total              int    `json:"total"`
	CreatedTime        int    `json:"created_time"`
	UpdatedTime        int    `json:"updated_time"`
	SendTime           int    `json:"send_time"`
	Thumb              string `json:"thumb"`
	Title              string `json:"title"`
	GoodsPrice         int    `json:"goods_price"`
	GoodsOptionId      int    `json:"goods_option_id"`
	GoodsOptionTitle   string `json:"goods_option_title"`
	OrderExpressId     int    `json:"order_express_id"`
	GoodsStatus        int    `json:"goods_status"`
	PayStatus          int    `json:"pay_status"`
	RefundMoney        int    `json:"refund_money"`
	AftersaleTime      int    `json:"aftersale_time"`
	AfterSaleOverTime  int    `json:"after_sale_over_time"`
	DeliveryDueTime    int    `json:"delivery_due_time"`
	AutoDecrementBond  int    `json:"auto_decrement_bond"`
	ServiceFee         int    `json:"service_fee"`
	ServiceFeeRatio    int    `json:"service_fee_ratio"`
	FloatAmount        int    `json:"float_amount"`
	FloatPoint         int    `json:"float_point"`
	ExpressCompanyName string `json:"express_company_name"`
	ExpressSn          string `json:"express_sn"`
	ExpressCode        string `json:"express_code"`
	IsReissue          int    `json:"is_reissue"`
	IsTimeOut          bool   `json:"is_time_out"`
	TimeOutDay         int    `json:"time_out_day"`
	TimeOutHour        int    `json:"time_out_hour"`
	TimeOutMinute      int    `json:"time_out_minute"`
	DelaySendTime      int    `json:"delay_send_time"`
	DelayCompensate    int    `json:"delay_compensate"`
}
type StOrderGoods struct {
	Id                int     `orm:"id,primary"           json:"id"`                   //
	GoodsOrderSn      string  `orm:"goods_order_sn"       json:"goods_order_sn"`       // 商品订单号
	SellerId          int     `orm:"seller_id"            json:"seller_id"`            // 商户Id
	OrderId           int     `orm:"order_id"             json:"order_id"`             // 订单Id
	GoodsId           int     `orm:"goods_id"             json:"goods_id"`             // 商品Id
	Total             int     `orm:"total"                json:"total"`                // 商品数量
	CreatedTime       int     `orm:"created_time"         json:"created_time"`         // 创建时间
	UpdatedTime       int     `orm:"updated_time"         json:"updated_time"`         // 更新时间
	SendTime          int     `orm:"send_time"            json:"send_time"`            // 发货时间
	Thumb             string  `orm:"thumb"                json:"thumb"`                // 缩略图
	Title             string  `orm:"title"                json:"title"`                // 商品标题
	GoodsPrice        int     `orm:"goods_price"          json:"goods_price"`          // 商品金额（单价） 单位为分
	GoodsOptionId     int     `orm:"goods_option_id"      json:"goods_option_id"`      // 商品规格ID
	GoodsOptionTitle  string  `orm:"goods_option_title"   json:"goods_option_title"`   // 商品规格名称
	OrderExpressId    int     `orm:"order_express_id"     json:"order_express_id"`     // order_express表id  商品属于哪个包裹
	GoodsStatus       int     `orm:"goods_status"         json:"goods_status"`         // 发货状态  0:未发货,1:已发货,2:已收货,3:配货中,4：拒收
	PayStatus         int     `orm:"pay_status"           json:"pay_status"`           // 订单状态 0:未付款,1:已付款,2退款中3已退款4退款申请失败
	RefundMoney       int     `orm:"refund_money"         json:"refund_money"`         // 退款金额废弃
	AftersaleTime     int     `orm:"aftersale_time"       json:"aftersale_time"`       // 商品售后时长
	AfterSaleOverTime int     `orm:"after_sale_over_time" json:"after_sale_over_time"` // 售后过期时间
	DelayCompensate   int     `orm:"delay_compensate"     json:"delay_compensate"`     // 最大的延期时间 24h,48h,72h,0为没有限制
	DeliveryDueTime   int     `orm:"delivery_due_time"    json:"delivery_due_time"`    // 发货到期时间 0为没有到期时间 没有设置期限
	AutoDecrementBond int     `orm:"auto_decrement_bond"  json:"auto_decrement_bond"`  // 扣款保证金次数1次2次 ，最多两次1
	ServiceFee        int     `orm:"service_fee"          json:"service_fee"`          // 服务费（分）
	ServiceFeeRatio   int     `orm:"service_fee_ratio"    json:"service_fee_ratio"`    // 服务费率（千分比）
	FloatAmount       int     `orm:"float_amount"         json:"float_amount"`         // 浮动金额
	FloatPoint        float64 `orm:"float_point"          json:"float_point"`          // 浮动点
}
type OrderSendsRes struct {
	commonRes
	Data struct {
		FailList []OrderSends `json:"fail_list"`
	} `json:"data"`
}
type OrderSends struct {
	Id           int    `json:"id"`
	GoodsOrderSn string `json:"goods_order_sn"`
	OrderSn      string `json:"order_sn"`
	GoodsStatus  string `json:"goods_status"`
	GoodsName    string `json:"goods_name"`
	SkuName      string `json:"sku_name"`
	ShippingName string `json:"shipping_name"`
	ProvinceName string `json:"province_name"`
	CityName     string `json:"city_name"`
	CountyName   string `json:"county_name"`
	TownName     string `json:"town_name"`
	Address      string `json:"address"`
	Phone        string `json:"phone"`
	Reason       string `json:"reason"`
}
type GetStatusCountInfoRes struct {
	commonRes
	Data []StatusInfoResult `json:"data"`
}
type StatusInfoResult struct {
	Status int //订单状态  0待付款1待发货
	Count  int //汇总数量
}
type OrderSellerData struct {
	Order      *StOrder       `json:"order"`       //店铺订单信息
	OrderGoods []StOrderGoods `json:"order_goods"` //店铺订单商品
}
type GetOrderSellerDataListRes struct {
	commonRes
	Data struct {
		Count int               `json:"count"`
		Data  []OrderSellerData `json:"data"`
	} `json:"data"`
}
type DownLoadGoodsDataRes struct {
	commonRes
	Data struct {
		FileUrl string `json:"file_url"`
	} `json:"data"`
}
type GetSysOrderListRes struct {
	commonRes
	Data struct {
		Count int                       `json:"count"`
		Data  []SysOrderListQueryResult `json:"data"`
	} `json:"data"`
}
type SysOrderListQueryResult struct {
	Order struct {
		*StOrder           //店铺订单信息
		IsTimeOut   bool   `json:"is_time_out"` //当前店铺订单是否含有超时订单
		ChannelName string `json:"channel_name"`
	} `json:"order"` //店铺订单信息
	OrderGoods []struct {
		*StOrderGoods
		DelayCompensate int `json:"delay_compensate"` //发货延时
		DeadLine        int `json:"dead_line"`        //最后发货时间
	} `json:"order_goods"` //本订单下所有商品订单
}
type GetTimeOutOrderCountRes struct {
	commonRes
	Data struct {
		Count int `json:"count"`
	} `json:"data"`
}
type GetDeliverListRes struct {
	commonRes
	Data interface{} `json:"data"`
}
