package sdk

import (
	"encoding/json"
)

//售后列表 //
func (c *Client) GetRefundList(req map[string]interface{}) (res *GetRefundListRes, err error) {
	method := "/local/order/refund"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//售后检测 //
func (c *Client) GetRefundCheck(req map[string]interface{}) (res *OrderRefundCheckRes, err error) {
	method := "/local/order/refund/check"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//售后订单创建
func (c *Client) CreateRefundOrder(req map[string]interface{}) (res *CreateRefundOrderRes, err error) {
	method := "/local/order/refund/create"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//售后同意 //
func (c *Client) AgreeRefundOrder(req map[string]interface{}) (res *commonRes, err error) {
	method := "/local/order/refund/agree"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//回传物流
func (c *Client) BackSend(req map[string]interface{}) (res *commonRes, err error) {
	method := "/local/order/refund/backSend"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//售后拒绝 //
func (c *Client) RejectRefundOrder(req map[string]interface{}) (res *commonRes, err error) {
	method := "/local/order/refund/reject"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//售后取消
func (c *Client) CancelRefundOrder(req map[string]interface{}) (res *commonRes, err error) {
	method := "/local/order/refund/cancel"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//售后详情 //
func (c *Client) RefundOrderInfo(req map[string]interface{}) (res *RefundOrderInfoRes, err error) {
	method := "/local/order/refund/info"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//售后检测
func (c *Client) BeforeRefundOrder(req map[string]interface{}) (res *commonRes, err error) {
	method := "/local/order/refund/before"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//售后备注
func (c *Client) RemarkRefundOrder(req map[string]interface{}) (res *commonRes, err error) {
	method := "/local/order/refund/remark"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//售后地址添加
func (c *Client) AddRefundAddress(req map[string]interface{}) (res *AddRefundAddressRes, err error) {
	method := "/local/refund/address"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//售后地址编辑 //
func (c *Client) UpdateRefundAddress(req map[string]interface{}) (res *AddRefundAddressRes, err error) {
	method := "/local/refund/address"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Patch(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//售后地址删除 //
func (c *Client) DeleteRefundAddress(req map[string]interface{}) (res *AddRefundAddressRes, err error) {
	method := "/local/refund/address"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.DELETE(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//售后地址默认 //
func (c *Client) DefaultRefundAddress(req map[string]interface{}) (res *DefaultRefundAddressRes, err error) {
	method := "/local/refund/address/default"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//售后地址列表 //
func (c *Client) GetRefundAddressList(req map[string]interface{}) (res *GetRefundAddressListRes, err error) {
	method := "/local/refund/address/list"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}
